Bug 806063 - Permissions issue with /var/lib/libra in production
Permissions issue with /var/lib/libra in production
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 15:44 EDT by Rob Millner
Modified: 2015-05-14 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:33:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2012-03-22 15:44:21 EDT
Description of problem:

When /var/lib/libra was renamed to /var/lib/stickshift, /var/lib/libra was left as a symbolic link in the migration instructions to handle apps which reference that path directly.

That does not work in my test application.

Related:
https://www.redhat.com/openshift/community/forums/express/symlinks-to-data-dir-broke


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create an app
2. ssh in to your app
3. ls -l /var/lib/[uuid]/git
  
Actual results:

[test-rmillnertest1.rhcloud.com ~]\> ls -d /var/lib/stickshift/d4145a0230734a219a509e1214268cbb/git
/var/lib/stickshift/d4145a0230734a219a509e1214268cbb/git

[test-rmillnertest1.rhcloud.com ~]\> ls -d /var/lib/libra/d4145a0230734a219a509e1214268cbb/git
ls: cannot access /var/lib/libra/d4145a0230734a219a509e1214268cbb/git: Permission denied



Expected results:

That accessing /var/lib/libra/[uuid] in production would work.


Additional info:

New express nodes which don't go through the migration procedure won't have the symbolic link.  Maby the right thing to do is just break it now.
Comment 1 Rob Millner 2012-03-22 22:33:18 EDT
This was fixed in production by the ops team.
Comment 2 Xiaoli Tian 2012-03-23 01:49:00 EDT
Verified it on Production by ssh to my app and 

#ls /var/lib/libra/c69baa9fbdee446fa8a549126ffe6ef0/git
appjboss.git

Note You need to log in before you can comment on or make changes to this bug.